/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("com.ibm.rational.report.web.core.app.internal.Footer");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang");
dojo.require("com.ibm.team.repository.web.client.init.InitializationData");
dojo.require("com.ibm.team.repository.web.ui.internal.Util");
dojo.requireLocalization("com.ibm.rational.report.web.core.app.internal", "Messages");

var InternalMessages	= dojo.i18n.getLocalization("com.ibm.rational.report.web.core.app.internal", "Messages");
var Util				= com.ibm.rational.report.web.core.app.internal.Util;
var checkNotNull 		= net.jazz.ajax.toolbox.lang.checkNotNull;
var InitializationData 	= com.ibm.team.repository.web.client.init.InitializationData;

var CONTACT_LINK		= "https://jazz.net/legal/contact.jsp";
var TERMS_OF_USE_LINK	= "https://jazz.net/pub/terms.jsp";

/**
 * Displays the footer.
 */
dojo.declare(
	"com.ibm.rational.report.web.core.app.internal.Footer",
	[dijit._Widget, dijit._Templated], {
	
	templatePath: dojo.moduleUrl("com.ibm.rational.report.web.core", "app/internal/templates/Footer.html"),
	
	postCreate: function() {
		this.inherited(arguments);
		
		setTimeout(dojo.hitch(this,this._attachLogoLink), 0);
		
		this._initText();
		
		var contactLink = this.getContactLink();
		if (contactLink == null) {
			contactLink = CONTACT_LINK;
		}
		this.contactLink.href = contactLink;
		
		var availHeight = screen.availHeight;
		var availWidth  = screen.availWidth+800;
				
		dojo.connect(this.contactLink, "onclick",
			function(e){
				e.preventDefault();
				var url = contactLink;
				name = "Contact";
	 			var win = window.open(url,name,'left=0,top=0,resizable=yes,scrollbars=1,height='+availHeight+'width='+availWidth);
	 			win.focus();
			});
		
		//var termsOfUseLink = this.getTermsOfUseLink();
		//if (termsOfUseLink == null) {
		//	termsOfUseLink = TERMS_OF_USE_LINK;
		//}
		//this.termsOfUseLink.href = termsOfUseLink;
		//dojo.connect(this.termsOfUseLink, "onclick",
		//	function(e){
		//		e.preventDefault();
		//		var url = termsOfUseLink;
		//		name = "termsOfUse";
	 	//		var win = window.open(url,name,'left=0,top=0,resizable=yes,scrollbars=1,height='+availHeight+'width='+availWidth);
	 	//		win.focus();
		//	});
	},
	
	_attachLogoLink: function() {
		this._rightLogo.href = "http://www.ibm.com/software/rational/";
	},
	
	_initText: function() {
		Util.removeChildren(this.copyright);
		this.copyright.appendChild(document.createTextNode(InternalMessages.COPYRIGHT_LABEL));
				
		Util.removeChildren(this.contactLink);
		this.contactLink.appendChild(document.createTextNode(InternalMessages.CONTACT_LABEL));
		
		//Util.removeChildren(this.termsOfUseLink);
		//this.termsOfUseLink.appendChild(document.createTextNode(InternalMessages.TERMS_OF_USE_LABEL));
	},
	
	getContactLink: function() {
		return CONTACT_LINK;
	},
	
	getTermsOfUseLink: function() {
		return TERMS_OF_USE_LINK;
	}
	
});

})();
