/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("com.ibm.rational.report.web.core.app.internal.Login");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang");

var checkNotNull 	= net.jazz.ajax.toolbox.lang.checkNotNull;

/**
 * Displays the Log In link in the banner.
 */
dojo.declare(
	"com.ibm.rational.report.web.core.app.internal.Login",
	[dijit._Widget, dijit._Templated], {
	
	templatePath: dojo.moduleUrl("com.ibm.rational.report.web.core", "app/internal/templates/Login.html"),
	
	/**
	 * Fill in the dynamic elements of the header nav.
	 */
	postCreate: function() {
		com.ibm.rational.report.web.core.app.internal.Login.superclass.postCreate.apply(this);
		checkNotNull(this.loginLink, "this.loginLink");
		this.loginLink.href = "https://" + document.location.hostname + ":" + com.ibm.team.repository.server.repourl.port.https + document.location.pathname;
		
		dojo.connect(this.loginLink, "onclick", null, function(e) {
			e.preventDefault();
			window.location.href = "https://" + window.location.hostname + ":" + com.ibm.team.repository.server.repourl.port.https + window.location.pathname + window.location.search + window.location.hash;
		});
	}
});

})();
